ChromosomeInfo Struct Reference

## Public Member Functions

void | constructorClear ()
void | setChromosomeName (const char *n)
void | setAssemblyID (const char *newID)
void | setSpecies (const char *newSpecies)
void | setURI (const char *newURI)

## Public Attributes

genomeIndex_t | start
genomeIndex_t | size
char | md5 [2 *MD5_DIGEST_LENGTH+1]
char | name [MAX_GENOME_INFO_STRING]
char | assemblyID [MAX_GENOME_INFO_STRING]
char | uri [MAX_GENOME_INFO_STRING]
char | species [MAX_GENOME_INFO_STRING]

## Static Public Attributes

static const int | MAX_GENOME_INFO_STRING =128

## Detailed Description

Definition at line 40 of file GenomeSequenceHelpers.h.

The documentation for this struct was generated from the following file:

- general/GenomeSequenceHelpers.h